<template>
  <div id="app">
   <div class="headerTop"></div>
    <div class="dashboardLeftMenu">
      <div class="Main"></div>

        <div class="imgCircleBox">
            <!-- <div class="imgCircle"></div> -->
            <img src="./assets/profile.png" alt="Foto" style="width: 82%; margin-left: 2vw; margin-bottom: 1vw">
            <div class="nomeFunc"><h4>Venceslau Santos</h4></div>
        </div>

        <div class="caixaMenu">
            <div class="btnPrincipal" style="margin-top: 3vw;"><router-link to="/home" class="btnLink">HOME</router-link></div>
            <div class="btnPrincipal" style="margin-top: 0.5vw"><router-link to="/viagem_add" class="btnLink">AGENDAR VIAGEM</router-link></div>

            <div class="btnMenuDashboard"><router-link to="/passageiro" class="btnLink">CADASTRO PASSAGEIRO</router-link></div>
            <div class="btnMenuDashboard"><router-link to="/motorista" class="btnLink">CADASTRO MOTORISTA</router-link></div>
            <div class="btnMenuDashboard"><router-link to="/grafico" class="btnLink">GRÁFICOS</router-link></div>

            <div class="btnMenuDashboard"><router-link to="/relatorio_show" class="btnLink">RELATÓRIOS</router-link></div>
        </div>
    </div>
    <router-view/>
  </div>
</template>

<script>

</script>

<style>

*{
  margin: 0;
  font-family: 'Open Sans', sans-serif;
  }

  .headerTop{
  width: 100%;
  height: 6vh;
  background-color: rgb(21, 94, 204);
  }

  .dashboardLeftMenu {
  width: 20vw;
  height: 100vh;
  background-color: rgb(15, 65, 158);
  position: fixed;
  z-index: 1;
    top: 0;
    left: 0;
  }

  .imgCircleBox {
      padding-top: 2vw;
      width: 100%;
      height: 40vh;
  }

  .imgCircle {
      margin: auto;
      border-radius: 100%;
      width: 16vw;
      height: 16vw;
      background-color: beige;
  }

  .nomeFunc {
      /* background-color: brown; */
      color: white;
      text-align: center;
      font-size: 1.2em;
    
  }

  .caixaMenu {
      margin: auto;
      width: 18vw;
      height: 100%;
      /* background-color: rgba(245, 245, 220, 0.212); */
  }
  .btnPrincipal {
      border-left: solid 1vw rgb(29, 29, 92);
      font-weight: 700;
      padding-top: 1.4vw;
      padding-bottom: 1.0vw;
      text-align: center;
      font-size: 1.1vw;
      height: auto;
      background-color: azure;
      border-radius: 0px 12px 12px 0px;
      transition: 0.5s;
  }
  .btnPrincipal:hover{
      background-color: rgb(223, 233, 233);
      border-left: solid 1vw rgb(8, 8, 37);
      border-radius: 0px;
      transition: 0.5s;
  }

  .btnMenuDashboard {
      font-size: 1vw;
      margin-top: 0.4vw;
      border-left: solid 1vw rgb(29, 29, 92);
      /* font-weight: 700; */
      padding-top: 0.6vw;
      padding-bottom: 0.4vw;
      text-align: center;
      height: auto;
      background-color: azure;
      border-radius: 0px 10px 10px 0px;
      transition: 0.5s;
  }
  .btnMenuDashboard:hover{
      background-color: rgb(223, 233, 233);
      border-left: solid 1vw rgb(8, 8, 37);
      border-radius: 0px;
      transition: 0.5s;
  }

  .main {
    /* margin-left: 336px;  */
    margin-left: 23vw; 
    padding: 0px 10px;
  }

  a {
    color: black;
  }
  a:hover {
    text-decoration: none;
  }

</style>
